5.2.0-git
04/23/2014

[#8200] Aviary's Phoenix image editor support
Summary Aviary's Phoenix image editor support
Queue Ansel
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester mrubinsk (at) horde (dot) org
Created 04/20/2009 (1829 days ago)
Due
Updated 05/06/2011 (1083 days ago)
Assigned
Resolved
Milestone
Patch No

History
05/06/2011 01:36:43 AM Michael Rubinsky Comment #5 Reply to this comment
11/26/2010 07:57:14 PM Chuck Hagenbuch Comment #4 Reply to this comment
http://www.aviary.com/html5 is another option. Not sure how I feel 
about the egg UI :)
08/01/2009 08:35:12 PM Jan Schneider Version ⇒ Git master
 
05/04/2009 10:10:58 PM Michael Rubinsky Comment #3 Reply to this comment
Signed requests will be a part of the forthcoming Advanced API:



http://aviary.com/thread?tid=1547&p=2#46187
04/24/2009 03:42:08 AM Michael Rubinsky Comment #2 Reply to this comment
Looking at this further, I think we should probably wait until this 
API matures a bit, or the "advanced api" version is implemented. With 
the simple API there is no shared secret between the client server and 
Aviary, only a client specified identifier for each image that is 
passed to Aviary in a GET request.  After saving the image, Aviary 
POSTS back to the client server a URL to find the new image, along 
with the same identifier that was originally passed in the clear via 
GET. So, unless I'm missing something, it would theoretically be 
possible for a 3rd party to hijack this identifier and cause the 
user's image to be replaced.
04/20/2009 11:53:13 PM Michael Rubinsky Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ansel
Summary ⇒ Aviary's Phoenix image editor support
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Implement Aviary's API for image editing as an optional editor in 
Ansel. Thanks for the find, Chuck!



http://aviary.com/apidocs